Skip to main content
POST
Initialize authentication process

Authorizations

Authorization
string
header
required

After a user logs in successfully, a session is created and a JWT token is returned. This token represents the user's authenticated session. It must be included in the Authorization header as a Bearer token for all protected endpoints:

Authorization: Bearer <your-token>

The server will validate this token to authorize access.

Body

application/json

tbd.

clientInformation
object
required
passkeyAppendShown
integer<int64>
optOutOfPasskeyAppendAfterHybrid
boolean

deprecated

preferredBlock
enum<string>
Available options:
signup-init,
passkey-append,
phone-verify,
email-verify,
passkey-appended,
completed,
social-verify,
login-init,
passkey-verify,
conditional-ui-completed,
post-signup-email-verify,
passkey-append-after-hybrid

Response

200 - application/json

tbd

tbd.

token
string
required
expiresAt
integer
required
processResponse
object
required
newClientEnvHandle
string